opal/threads/mutex_unix.h File Reference.TH "opal/threads/mutex_unix.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
opal/threads/mutex_unix.h \- Mutual exclusion functions: Windows implementation. 
.SH SYNOPSIS
.br
.PP
\fC#include 'opal/class/opal_object.h'\fP
.br
\fC#include 'include/sys/atomic.h'\fP
.br

.SS "Defines"

.in +1c
.ti -1c
.RI "#define \fBOPAL_MUTEX_UNIX_H\fP   1"
.br
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "OMPI_DECLSPEC \fBOBJ_CLASS_DECLARATION\fP (\fBopal_mutex_t\fP)"
.br
.in -1c
.SH "Detailed Description"
.PP 
Mutual exclusion functions: Windows implementation. 

Functions for locking of critical sections.
.PP
On unix, use pthreads or our own atomic operations as available.
.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
